For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

List Sender Pool Operations

GET
https://comms.twilio.com/v1/SenderPools/Operations
GET
/v1/SenderPools/Operations
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.listOperations({});
9}
10main();
1{
2 "operations": [
3 {
4 "id": "comms_operation_01h9krwprkeee8fzqspvwy6nq8",
5 "status": "COMPLETED",
6 "stats": {
7 "total": 1,
8 "queued": 0,
9 "created": 1,
10 "failed": 0
11 },
12 "createdAt": "2024-04-05T06:20:00Z",
13 "updatedAt": "2024-04-05T06:20:00Z"
14 },
15 {
16 "id": "comms_operation_01h9krwprkeee8fzqspvwy6nq8",
17 "status": "COMPLETED",
18 "stats": {
19 "total": 888,
20 "queued": 111,
21 "created": 777,
22 "failed": 0
23 },
24 "createdAt": "2024-04-05T06:20:00Z",
25 "updatedAt": "2024-04-05T06:20:00Z"
26 }
27 ],
28 "pagination": {
29 "next": null,
30 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
31 }
32}
This operation fetches a paginated list of Sender Pool Operations.
Was this page helpful?
Previous

Fetch a SenderPool Operation

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

startDatestringOptionalformat: "date-time"
Filter to Operations created after the specified date and time in ISO 8601 format.
endDatestringOptionalformat: "date-time"
Filter to Operations created before the specified date and time in ISO 8601 format.
statusenumOptional
Filter to Operations with the specified status.
Allowed values:
pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
operationslist of objects
A list of SenderPool Operations.
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error